<?php

if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Latest Bar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));
		
if ( function_exists('register_sidebar') )
    register_sidebar(array(
				'name' => 'Sidebar',
        'before_widget' => '<div class="widget">',
        'after_widget' => '</div>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));

function ASNY_add_theme_page() {

	if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			update_option( 'ASNY_ColourScheme', $_POST[ 'set_ImageColour' ] );
			update_option( 'ASNY_ArchivesPageID', $_POST[ 'set_ArchivesID' ] );
			header("Location: themes.php?page=functions.php&saved=true");
			die;
		} else if( 'reset' == $_REQUEST['action'] ) {
			delete_option( 'ASNY_ColourScheme' );
			header("Location: themes.php?page=functions.php&reset=true");
			die;
		}
	}


    add_theme_page("ASNY Theme Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'ASNY_theme_page');

}

function ASNY_theme_page() {

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Settings reset.</strong></p></div>';
	
?>

<div class="wrap">
<h1>A Screen Near You Theme</h1>

<p>A simple and flexible 2/3 column design by <a href="http://www.thedigeratipeninsula.org.uk/">Lee Penney</a>.  Please make sure you install all of the required plugins and set a page ID for your archive page below.  Full installation instructions for this theme can be found in the Read Me file included in the download package.</p>

<h3>Theme Colour Settings</h3>
<form method="post">
<p>Select a colour scheme: 
<?php
	$value = get_settings( 'ASNY_ColourScheme' );

	    echo "<select name=\"set_ImageColour\" style=\"width:40;\" onchange=\"updateColour( this )\">";
		ASNY_input( "set_ColourScheme", "option", "Blue", "blue", $value );
		ASNY_input( "set_ColourScheme", "option", "Green", "green", $value );
		ASNY_input( "set_ColourScheme", "option", "Red", "red", $value );
		ASNY_input( "set_ColourScheme", "option", "Orange", "orange", $value );
		ASNY_input( "set_ColourScheme", "option", "Purple", "purple", $value );
		ASNY_input( "set_ColourScheme", "option", "Black", "black", $value );
		echo "</select>";
?>
</p>

<h3>Archive Page ID</h3>
<p>Fill in the ID (which you can get from Manage->Pages) of the archive page:
<input type="text" name="set_ArchivesID" size="2" value="<?php echo get_option('ASNY_ArchivesPageID'); ?>" /></p>
<!-- Save Settings Button -->
<?php ASNY_input( "save", "submit", "", "Save Settings" ); ?>
<input type="hidden" name="action" value="save" />
</form>

</div>

<?php
}

add_action('admin_menu', 'ASNY_add_theme_page');


function ASNY_input( $var, $type, $description = "", $value = "", $selected="" ) {
 	echo "\n";
	switch( $type ){
		case "submit":
	 		echo "<p class=\"submit\"><input name=\"$var\" type=\"$type\" value=\"$value\" /></p>";
			break;

		case "option":
			if( $selected == $value ) { $extra = "selected=\"true\""; }
			echo "<option value=\"$value\" $extra >$description</option>";
		    break;
 	}
}

?>