<?php
/* wp-print.php
 *
 * Last Updated On 20th November 2004
 *
 * An addon to WordPress 1.2 and above which display printable version of your blog
 * Demo of this file @ http://www.lesterchan.net/blogs/wp-print.php?p=647
 * Created By Lester "GamerZ" Chan - http:/www.lesterchan.net
 * Copyright  2004 Lester "GamerZ" Chan. All Rights Reserved.
 *
 * Usage:
 * - Put this line: <a href="<?php bloginfo('url');?>/wp-print.php?p=<?=the_ID()?>"> Print</a> in your index.php
 *   anywhere after start_wp();
 *
 * You may modify this file to suit your owns needs, but please keep the copyright in tag. Thanks
 * Any problems, email me @ lesterch@singnet.com.sg or post it in the WordPress forums @ http://wordpress.org/support/
 *
 * Updated by Lee Penney (http://www.viewfinderdesign.co.uk/) to add list of links to the printout.
 *
 */

// Require WordPress Header
require('../../../wp-blog-header.php');  // Change to suit the location of your header file
?>

<!DOCTYPE HTML PUBLIC "-//W3C//Dp HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dp">
<html>
<head>
<title><?=get_bloginfo('name')?> > Print > <?=single_post_title('', false)?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css" media="screen">
Body {
	font-family: Verdana, Arial, Tahoma, sans serif;
	font-size: 12px;
	color: #000000;
	text-align: left;
}
#Outline {
	text-align: left;
	width: 90%;
	margin-left: auto; 
	margin-right: auto;
	padding: 10px;
	border: 1px solid #000000;
}
#BlogTitle {
	font-weight: bold;
	font-size: 16px;
	margin-bottom: 5px;
}
#BlogDate {
	margin-top: 5px;
	margin-bottom: 10px;	
}
#BlogContent {
	margin-top: 10px;
}
HR#Divider {
	width: 80%; 
	height: 1px; 
	color: #000000;
}
ul {
  list-style: none;
}

</style>
</head>
<body>
<p align="center"><b>- <?=get_bloginfo('name')?> - <?=get_bloginfo('url')?> -</b></p>
	<div id="Outline">
		<?php 
		  $loopcount = 0;
		  query_posts('p='.$_GET['id']);
			if ($posts) { 
				foreach ($posts as $post) { 
				  if ($loopcount == 0) {
					start_wp();
		?>
					<p id="BlogTitle"><?php the_title(); ?></p>
					<p id="BlogDate">Posted By <?php the_author(); ?> On <?php the_time('jS F Y @ H:i'); ?> In <?php the_category(', '); ?> | <a href="<?php comments_link(); ?>"><?php comments_number(); ?></a></p>
					<div id="BlogContent">
					<?php 
					$articleURL = get_permalink();
					$content = $post->post_content;
					$c = 1;
					$linktemp = explode('</a>',$content);
					foreach ($linktemp as $key => $link) {
					  if ($key < count($linktemp)-1) {
						 $linktemp[$key] = $link."</span>[$c]";
						}
						 if (strpos($link,'<a href=')) {
							$start = strpos($link,'<a href=')+16;
						  $finish = strpos($link,'">',$start);
							$test = $finish-$start;
						  $link1 = substr($link,$start,$finish-$start);
						  $links[$c] = $link1;
							$linktemp[$key] = substr_replace($linktemp[$key],'<span style="text-decoration:underline">',$start-16,$finish+18-$start);
							$c++;
						}
					}
					$content = implode($linktemp);
					$content = ereg_replace("\r","<br/>",$content);
					print("$content");
					
					echo "<ul>\n";
					foreach ($links as $key => $value) {
						echo "<li>[$key] http://$value</li>\n";
					}
					echo "</ul>\n";
					?></div>
		<?php 
		      }
		    $loopcount++;
				} 
			} else {
				echo 'No Posts Matched Your Criteria';	
			}
		?>
		<p><hr id="Divider" align="center"></p>
		<p align="left">Article printed from <?php echo get_bloginfo('name'); ?>: <b><?php echo get_bloginfo('url'); ?></b></p>
		<p align="left">URL to article: <b><?php echo $articleURL; ?></b></p>
		<p align="right">Click <a href="javascript:window.print();">here</a> to print.</p>
	</div>
</body>
</html>