<?php get_header(); ?>

<div id="archive">
<?

if (have_posts()) : ?>

<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h1>Archive for the '<?php echo single_cat_title(); ?>' Category</h1>
		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h1>Archive for <?php the_time('F jS, Y'); ?></h1>
		
	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h1>Archive for <?php the_time('F, Y'); ?></h1>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h1>Archive for <?php the_time('Y'); ?></h1>
		
	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h1>Search Results</h1>
		
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h1>Author Archive</h1>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h1>Blog Archives</h1>

		<?php } ?>

<?php
while (have_posts()) : the_post(); ?>
<br/>

<h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>

<?php the_excerpt_reloaded('50', '', 'excerpt', false, '', false, 1, true); 
?>

<p class="entrymeta"><?php the_time('jS M Y'); ?> | <a href="<?php comments_link(); ?>" title="See comments on this entry">Comments</a> (<?php comments_number('0','1','%'); ?>) | <?php the_category(', '); ?> <?php if ( $user_ID ) { ?> | <?php edit_post_link('Edit'); } ?></p>

<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif;  ?>

<p class="previous"><?php posts_nav_link('','','&laquo; Older Posts') ?></p>
<p class="next"><?php posts_nav_link('','Newer Posts &raquo;','') ?></p>

</div> <!-- archive -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>