<?php if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
<p><?php _e('Enter your password to view comments.'); ?></p>
<?php return; endif; ?>

<h3 id="comments">Comments</h3>

<?php if ( $comments ) : ?>
<div id="commentlist">

<?php $c = 1; foreach ($comments as $comment) : ?>
	<div class="commentbox" id="comment-<?php comment_ID() ?>">
	<div class="commenttext">
	<?php comment_text() ?>
	</div> <!-- commenttext -->
	<ul class="commentdetails">
	<li class="author"><?php comment_author_link() ?></li>
	<li class="time"><?php comment_time('H:i'); ?></li>
	<li class="date"><?php comment_date() ?></li> 
  <?php edit_comment_link(__("Edit"), '<li>', '</li>'); ?>
	<li class="no"><a href="#comment-<?php comment_ID() ?>"><?=$c?>.</a></li>
  </ul>
	<div class="clear">&nbsp;</div>
	</div>
  
<?php $c++; endforeach; ?>

</div>

<?php else : // If there are no comments yet ?>
	<p><?php _e('No comments yet.'); ?></p>
<?php endif; ?>

<br/>

<?php if ( comments_open() ) : ?>
<div id="leavecomment">
<h3 id="postcomment">Leave a comment</h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Logged in as <strong><?php echo $user_identity; ?></strong>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout &raquo;</a></p>

<p><textarea name="comment" id="comment" cols="40" rows="10" tabindex="1"></textarea></p>

<p><small>You can use these tags: <?php echo allowed_tags(); ?></small></p>

<?php else : ?>

<p><textarea name="comment" id="comment" cols="40" rows="10" tabindex="1"></textarea></p>

<p><small>You can use these tags: <?php echo allowed_tags(); ?></small></p>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="2" />
<label for="author"><small>Name <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="3" />
<label for="email"><small>Mail (will not be published) <?php if ($req) _e('(required)'); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="4" />
<label for="url"><small>Website</small></label></p>

<?php endif; ?>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" class="middle" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>
</div> <!-- leavecomment -->

<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
<p><?php _e('Sorry, the comment form is closed at this time.'); ?></p>
<?php endif; ?>
