<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head profile="http://gmpg.org/xfn/11">
	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="generator" content="<?php bloginfo('version'); ?>" />
	
	<?php if (get_settings('ASNY_ColourScheme') != '' && get_settings('ASNY_ColourScheme') != 'blue') { ?>
    <link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/schemes/favicon_<?php echo get_settings( 'ASNY_ColourScheme' ); ?>.ico" type="image/vnd.microsoft.icon">
  <?php } else { ?>
	<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" type="image/vnd.microsoft.icon">
	<?php } ?>
	
	<link rel="Stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" />
	
	<?php if (get_settings('ASNY_ColourScheme') != '' && get_settings('ASNY_ColourScheme') != 'blue') { ?>
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/schemes/<?php echo "" . get_settings( 'ASNY_ColourScheme' ) . ".css"; ?>" type="text/css" media="screen" />
  <?php } ?>
	
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="http://feeds.feedburner.com/AScreenNearYou" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="http://feeds.feedburner.com/AScreenNearYou" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>
</head>
<body>

<div id="header">
<div id="headcontainer">
<h1><a href="<?php echo bloginfo('wpurl'); ?>"><?php bloginfo('blogname'); ?></a></h1>
<div class="search">
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
</div>
</div>
</div> <!-- header -->

<div id="container">


